Bug 13675 - the budget of an order is set to null if not changed on receiving
Summary: the budget of an order is set to null if not changed on receiving
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13007
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-06 15:19 UTC by Jonathan Druart
Modified: 2016-06-21 21:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13675: Do not set aqorders.budget_id to NULL (1.28 KB, patch)
2015-02-06 15:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13675: Do not set aqorders.budget_id to NULL (1.44 KB, patch)
2015-02-06 15:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13675: Do not set aqorders.budget_id to NULL (1.51 KB, patch)
2015-02-08 19:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-02-06 15:19:05 UTC
Note that this bug should not appear using the interface.

C4::Acquisition::ModReceiveOrder updates the aqorders with budget_id=NULL if no budget_id given in parameter.
Actually the same budget_id should be used.
In tests (especially t/db_dependent/Acquisition/TransferOrder.t), ModReceiveOrder is not called with a budget_id param and set to NULL the budget_id value.
Comment 1 Jonathan Druart 2015-02-06 15:22:47 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-02-06 15:27:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-02-08 19:26:28 UTC
Created attachment 35732 [details] [review]
[PASSED QA] Bug 13675: Do not set aqorders.budget_id to NULL

C4::Acquisition::ModReceiveOrder updates the aqorders with
budget_id=NULL if no budget_id given in parameter.
Actually the same budget_id should be used.
In tests (especially t/db_dependent/Acquisition/TransferOrder.t),
ModReceiveOrder is not called with a budget_id param and set to NULL the
budget_id value.

test plan:
  prove t/db_dependent/Acquisition/TransferOrder.t
should return green

Note that this bug should not appear using the interface.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
The fix makes sense, and running
 $ prove t/db_dependent/Acq*
returns all green. koha-qa.pl also likes it.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-02-10 11:51:08 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Jesse Weaver 2015-10-14 22:08:33 UTC
Possible 3.18 candidate, por favor? Can be triggered by locked budgets.
Comment 6 Liz Rea 2015-10-15 22:32:18 UTC
Pushed to 3.18.x, will be in 3.18.12.

Leaving pushed to master so it turns up on Chris's radar.
Comment 7 Liz Rea 2015-10-15 22:33:15 UTC
(actually never mind, it's already in 3.20)
Comment 8 Liz Rea 2015-11-02 21:00:56 UTC
Pushed to 3.18.x, is in 3.18.12.